"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = __importDefault(require("fs"));
const rsync_1 = __importDefault(require("rsync"));
const stdout_1 = require("./stdout");
const utils_1 = require("../utils");
function writeToStdout(b) {
    process.stdout.write(String(b));
}
function onError(...data) {
    utils_1.log('------ STERR');
    data.forEach(utils_1.log);
}
function getRsyncFunc({ src, dest, exclude, include, parseOutput, filterFilePath, }) {
    const rsync = new rsync_1.default()
        .shell('ssh')
        .flags('az')
        .source(src)
        .set('out-format', '%n')
        .destination(dest)
        .exclude(exclude)
        .include(include)
        .output(parseOutput ? stdout_1.onStdout : writeToStdout, onError);
    if (filterFilePath && fs_1.default.existsSync(filterFilePath)) {
        rsync.set('filter', `merge ${filterFilePath}`);
    }
    return rsync;
}
exports.getRsyncFunc = getRsyncFunc;
