"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
const os_1 = __importDefault(require("os"));
const log_1 = __importDefault(require("./log"));
const getMd5Hash_1 = require("./getMd5Hash");
exports.getFilterFile = ({ include, exclude, name, }) => {
    if (include.length === 0 && exclude.length === 0) {
        return null;
    }
    // TODO swap excludes with includes
    const content = [
        exclude.map(rule => `- ${rule}`).join('\n'),
        include.map(rule => `+ ${rule}`).join('\n'),
    ].join('\n');
    const hash = getMd5Hash_1.getMd5Hash(content);
    const filterDirPath = path_1.default.resolve(os_1.default.homedir(), '.synd');
    if (!fs_1.default.existsSync(filterDirPath)) {
        log_1.default(".synd dir not present, so let's create it");
        fs_1.default.mkdirSync(filterDirPath);
    }
    const filterFileName = `${name}.${hash}.filter`;
    const filterFilePath = path_1.default.resolve(filterDirPath, filterFileName);
    if (!fs_1.default.existsSync(filterFilePath)) {
        log_1.default(`filter file not preset, creating ${filterFilePath}`);
        fs_1.default.writeFileSync(filterFilePath, content);
    }
    else {
        log_1.default(`found filter file, using it "${filterFilePath}"`);
    }
    return filterFilePath;
};
