"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = __importDefault(require("fs"));
const os_1 = __importDefault(require("os"));
const path_1 = __importDefault(require("path"));
function parseGitignore(filepath) {
    if (!fs_1.default.existsSync(filepath))
        return [];
    return fs_1.default
        .readFileSync(filepath)
        .toString()
        .trim()
        .split(/\r?\n/)
        .filter(x => !x.startsWith('#'))
        .map(x => x.trim());
}
function getParsedGitignores({ src, localGitignore, globalGitignore, }) {
    const localGitignoreContent = localGitignore
        ? parseGitignore(path_1.default.join(src, '.gitignore'))
        : [];
    const globalGitignoreContent = globalGitignore
        ? parseGitignore(path_1.default.join(os_1.default.homedir(), '.gitignore'))
        : [];
    return [...localGitignoreContent, ...globalGitignoreContent];
}
exports.getParsedGitignores = getParsedGitignores;
