"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const getParsedGitignores_1 = require("./getParsedGitignores");
const startsWithBang = (str) => str.startsWith('!');
const removeStartBang = (str) => str.replace(/^!/, '');
exports.getPaths = (params) => {
    const parsedPaths = getParsedGitignores_1.getParsedGitignores(params);
    const incExc = parsedPaths.reduce((acc, line) => {
        if (startsWithBang(line)) {
            acc.include.push(removeStartBang(line));
        }
        else {
            acc.exclude.push(line);
        }
        return acc;
    }, {
        include: [...params.include],
        exclude: [...params.exclude],
    });
    return incExc;
};
