"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
/* istanbul ignore file */
const process_1 = __importDefault(require("process"));
const kleur_1 = __importDefault(require("kleur"));
const stamp = () => {
    const d = new Date();
    const hours = d.getHours().toString().padStart(2, '0');
    const minutes = d.getMinutes().toString().padStart(2, '0');
    const seconds = d.getSeconds().toString().padStart(2, '0');
    return `[${hours}:${minutes}:${seconds}]`;
};
const log = (text) => {
    process_1.default.stdout.write(`${kleur_1.default.gray(stamp())} ${text}\n`);
};
const plain = (text) => {
    process_1.default.stdout.write(`${text}\n`);
};
const errorAndExit = (reason) => {
    const output = [
        '\n\n',
        kleur_1.default.bgRed().black(' Exiting now '),
        '\n\n',
        'reason: ',
        kleur_1.default.dim().yellow(reason),
        '\n\n',
    ].join('');
    process_1.default.stdout.write(output);
    process_1.default.exit(1);
};
const logger = Object.assign(log, { errorAndExit, plain });
exports.default = logger;
