"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const validatePresetConfig_1 = require("./validatePresetConfig");
const log_1 = __importDefault(require("./log"));
const DEFAULT_CONFIG = {
    initSync: false,
    watch: true,
    include: [],
    exclude: [],
    globalGitignore: false,
    localGitignore: false,
    parseOutput: false,
    showRsyncCommand: false,
};
const CONFIG_NAME = '.synd.config.js';
const omitServerProp = (_a) => {
    var { 
    // eslint-disable-next-line @typescript-eslint/no-unused-vars
    server } = _a, rest = __rest(_a, ["server"]);
    return rest;
};
exports.parseConfig = (syndConfig, name) => {
    if (!(name in syndConfig)) {
        log_1.default.errorAndExit(`${name} is not in your ${CONFIG_NAME} file`);
    }
    const presetConfig = syndConfig[name];
    validatePresetConfig_1.validatePresetConfig(presetConfig, name);
    // TODO move to pre execute helper
    const dest = presetConfig.server && typeof presetConfig.server === 'string'
        ? `${presetConfig.server}:${presetConfig.dest}`
        : presetConfig.dest;
    return Object.assign(Object.assign(Object.assign({}, DEFAULT_CONFIG), omitServerProp(presetConfig)), { dest, name });
};
