"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = __importDefault(require("fs"));
const log_1 = __importDefault(require("./log"));
exports.validatePresetConfig = (preset, name) => {
    // src must be set
    if (typeof preset.src !== 'string') {
        log_1.default.errorAndExit(`Empty 'src' in ${name} preset. Make sure property 'name' is set.`);
    }
    // src must exist
    if (!fs_1.default.existsSync(preset.src)) {
        log_1.default.errorAndExit(`Invalid 'src' in ${name} preset. Make sure property 'name' is set to a valid path`);
    }
    // dest must be set
    if (typeof preset.dest !== 'string') {
        log_1.default.errorAndExit(`Invalid 'dest' property in "${name}". Make sure property 'dest' is set to a valid path.`);
    }
    // TODO checks for the rest preset options
};
